<?php  
	require_once 'header.php';
	require_once 'cursos/function.php';
	require_once 'cursos/script.php';
	$pagina = 'cursos.php'; 
?>
<style>
	.container{margin-top: 2%;}
	.row{margin-bottom: 2%;}
</style>
<body>
	<div class="container">
		<div class="row">
			<div class="col-sm-8">
				<h2 class="font-weight-bolder">
					Cursos Cadastrados
				</h2>
			</div>
			<div class="col-sm-2">
				<button
					class="btn btn-primary btn-block"
					data-toggle="modal"
					data-target="#cadastrar">
					+ Cursos
				</button>
			</div>
			<div class="col-sm-2">
				<div class="dropdown">
				  <a class="btn btn-secondary btn-block dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
				    Gerenciar
				  </a>
				  <div class="dropdown-menu">
				    <a class="dropdown-item" href="cursos.php">Cursos</a>
				    <a class="dropdown-item" href="turmas.php">Turmas</a>
				    <a class="dropdown-item" href="ambientes.php">Ambientes</a>
				    <a href="logout.php" class="dropdown-item bg-danger text-white">Sair</a>
				  </div>
				</div>
			</div>
		</div>
		<div class="row">
			<div class="col-sm-12">
				<div class="table-responsive">
					<table class="table table-bordered">
						<thead>
							<tr>
								<th class="text-center">ID</th>
								<th>Nome do curso</th>
								<th></th>
							</tr>
						</thead>
						<tbody>
						<?php  
							$listar = ListarCursos();
							if(is_array($listar)){
								if(count($listar) > 0){
									foreach($listar as $l){
						?>
							<tr>
								<td class="text-center">
									<?php echo $l['id']; ?>
								</td>
								<td>
									<?php echo $l['curso']; ?>
								</td>
								<td class="text-center">
									<button 
										class="btn btn-info editar"
										data-toggle="modal"
										data-target="#editar"
										cd 		="<?php echo $l['id']; ?>"
										curso 	="<?php echo $l['curso']; ?>"
										title="editar">
										<i class="bi bi-pencil"></i>
									</button>
									<button class="btn btn-danger">
										<i class="bi bi-trash3"></i>
									</button>
								</td>
							</tr>
						<?php  
									}
								}
							}
						?>
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>

<!-- modal cadastrar curso -->
<div class="modal fade" id="cadastrar" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					<h4 class="font-weight-bolder">
						Cadastrar Cursos
					</h4>
				</div>
				<div class="modal-body">
					<input 
						type="text" 
						name="curso" 
						class="form-control"
						placeholder="Digite o nome do curso"
						required >
				</div>
				<div class="modal-footer">
					<button class="btn btn-secondary" data-dismiss="modal">Fechar</button>
					<input 
						type="submit" 
						class="btn btn-primary" 
						name="action" 
						value="Cadastrar">
				</div>
			</form>
		</div>
	</div>
</div>
<!-- fim modal cadastrar curso -->

<!-- modal editar curso -->
<div class="modal fade" id="editar" data-backdrop="static">
	<div class="modal-dialog modal-md">
		<div class="modal-content">
			<form method="post" class="form-group">
				<div class="modal-header">
					<h4 class="font-weight-bolder">
						Editar Cursos
					</h4>
				</div>
				<div class="modal-body">
					<input type="text" name="cd" id="cd" required readonly>
					<input 
						type="text" 
						name="curso" 
						id="curso" 
						class="form-control"
						placeholder="Digite o nome do curso"
						required >
				</div>
				<div class="modal-footer">
					<button class="btn btn-secondary" data-dismiss="modal">Fechar</button>
					<input 
						type="submit" 
						class="btn btn-info" 
						name="action" 
						value="Alterar">
				</div>
			</form>
		</div>
	</div>
</div>
<!-- fim modal editar curso -->


<?php  
	if(!empty($_POST)){
		if($_POST['action'] == "Cadastrar"){
			CadastrarCurso($_POST['curso'], $pagina);
		}
		else if($_POST['action'] == "Alterar"){
			EditarCurso($_POST['cd'], $_POST['curso'], $pagina);
		}
	}
?>
</body>