<?php  

require_once 'header.php';

// Definindo a data inicial como segunda-feira da semana atual ou da semana pedida
$inicioSemana = isset($_GET['data']) ? $_GET['data'] : date('d/m/Y', strtotime('monday this week'));

// Convertendo a data para timestamp
$timestampInicio = strtotime($inicioSemana);

// Array para armazenar os dias da semana atual
$diasSemana = [];

// Gerando os dias da semana a partir da data inicial
for ($i = 0; $i <= 5; $i++) { // de segunda a sábado
    $diasSemana[] = date('d/m/Y', strtotime("+$i day", $timestampInicio));
}

// Definindo URLs para navegação entre semanas
$dataSemanaAnterior = date('Y-m-d', strtotime('-7 days', $timestampInicio));
$dataProximaSemana = date('Y-m-d', strtotime('+7 days', $timestampInicio));
?>

<!DOCTYPE html>
<html lang="pt-BR">
<head>
    <meta charset="UTF-8">
    <title>Tabela Semanal com Paginação</title>
</head>
<body>
	<div class="container-fluid" style="margin-top: 1%;">
		<div class="row">
			<div class="col-sm-8">
				<h2 class="font-weight-bolder">
					Semana de 
					<?php echo htmlspecialchars(date('d/m/Y', $timestampInicio)); ?> - 
					<?php echo htmlspecialchars(date('d/m/Y', strtotime('+ 5 days', $timestampInicio))); ?>
				</h2>
			</div>
			<div class="col-sm-2">
				<button class="btn btn-success btn-block">Agendar</button>
			</div>
			<div class="col-sm-2">
				<div class="dropdown">
				  <a class="btn btn-secondary btn-block dropdown-toggle" href="#" role="button" data-toggle="dropdown" aria-expanded="false">
				    Gerenciar
				  </a>
				  <div class="dropdown-menu">
				    <a class="dropdown-item" href="cursos.php">Cursos</a>
				    <a class="dropdown-item" href="turmas.php">Turmas</a>
				    <a class="dropdown-item" href="ambientes.php">Ambientes</a>
				    <a href="logout.php" class="dropdown-item bg-danger text-white">Sair</a>
				  </div>
				</div>
			</div>
    </div>
    <div class="row">
    	<div class="col-sm-12">
		    <div class="table-responsive">
			    <table class="table table-bordered">
		        <thead>
		          <tr>
		            <?php
		            // Exibindo cada dia da semana como cabeçalho da coluna
		              foreach ($diasSemana as $dia) {
		                echo '<th class="text-center">'.$dia.'</th>';
		              }
		            ?>
				      </tr>
				    </thead>
				    <tbody>
				      <tr>
				        <?php
				        // Exemplo de preenchimento com dados fictícios para cada dia
				    	    foreach ($diasSemana as $dia) {
				            echo "<td>Dados de $dia</td>";
				          }
				        ?>
				      </tr>
				    </tbody>
				  </table>
				</div>
			</div>
		</div>
	  <!-- Navegação entre semanas -->
    <div class="row" style="margin-top: 20px;">
    	<div class="col-sm-4 offset-sm-4 text-center">
    		<a 
    			href="?data=<?php echo $dataSemanaAnterior; ?>" 
    			class="btn btn-warning text-white">Semana Anterior</a> 
        	<a 
        		href="?data=<?php echo $dataProximaSemana; ?>" 
        		class="btn btn-primary">Próxima Semana</a>
    	</div>
    </div>
	</div>
</body>
</html>
