<?php  
	require_once 'header.php';
	require_once 'conect.php';

	if(!empty($_POST)){
		ValidarLogin($_POST['email'], $_POST['senha']);
	}
	else{
		header("Location: login.php");
	}

	function ValidarLogin($email, $senha){
		$hash = hash('sha256', $senha);
		global $con;
		$sql = "select cd_usuario, nm_usuario, id_tipo_usuario
						from tb_usuario 
						where
						nm_email = ? and
						cd_senha = ? and 
						st_usuario = 1";
		$res = $con->prepare($sql);
		if($res === false){
			die('erro ao preparar a consulta: '.$con->error);
		}
		if(!$res->bind_param('ss', $email, $hash)){
			die('erro ao vincular parâmetros: '.$res->error);
		}
		if(!$res->execute()){
			die('erro ao executar a consulta: '.$con->error);
		}
		$res->bind_result($idUsuario, $nmUsuario, $tipoUsuario);
		if($res->fetch()){
			session_start();
			$_SESSION['id'] 		= $idUsuario;
			$_SESSION['usuario'] 	= $nmUsuario;
			$_SESSION['tipo'] 		= $tipoUsuario;
			$data = date("Y-m-d", strtotime('monday this week'));
			Confirma("Bem vindo ".$_SESSION['usuario'], "painel/index.php?data=".$data);
		}
		else{
			Erro("Ops! deu ruim!");
		}
		$res->close();
	}

	function Confirma($msg, $redirect){
		echo'
			<div class="modal fade" id="myModal" data-backdrop="static">
				<div class="modal-dialog modal-md">
					<div class="modal-content">
						<div class="modal-body text-center text-success" style="height: 200px">
							<i class="bi bi-check2-circle" style="font-size: 65pt"></i>
							<br>
							<h3>'.$msg.'</h3>
						</div>
						<div class="modal-footer text-center">
							<button class="btn btn-success mx-auto" onclick="redirecionar()" style="width:50%;">OK</button>
						</div>
					</div>
				</div>
			</div>
			<script>
				function redirecionar(){
					location.href = "'.$redirect.'";
				}
			</script>
		';
	}

	function Erro($msg){
		echo'
			<div class="modal fade" id="myModal" data-backdrop="static">
				<div class="modal-dialog modal-md">
					<div class="modal-content">
						<div class="modal-body text-center text-danger" style="height: 200px">
							<i class="bi bi-x-circle" style="font-size: 65pt"></i>
							<br>
							<h3>'.$msg.'</h3>
						</div>
						<div class="modal-footer text-center">
							<button class="btn btn-danger mx-auto" onclick="redirecionar()" style="width:50%;">OK</button>
						</div>
					</div>
				</div>
			</div>
			<script>
				function redirecionar(){
					history.go(-1);
				}
			</script>
		';
	}
?>

<script>
    $(document).ready(function(){
       $('#myModal').modal('show');
    });

    $('#myModal').on('shown.bs.modal', function(){
      $('#myInput').trigger('focus');
    });
</script> 
